Package com.germinus.easyconf

# Interface Conventions

public interface Conventions
Conventions used by EasyConf that can be expressed as contansts

Version:
  $Revision: 1.7 $
Author:
  Jorge Ferrer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPANY_ID_PROPERTY`
`static final String`
`COMPONENT_NAME_PROPERTY`
`static final String`
`CONFIGURATION_OBJECTS_SOURCE_PROPERTY`
`static final String`
`CONFIGURATION_OBJECTS_TABLE`
`static final String`
`DATASOURCE_PREFIX`
`static final String`
`DEFAULT_CONF_OBJECT_NAME`
`static final String`
`DIGESTERRULES_EXTENSION`
`static final char`
`DOT`
`static final String`
`GLOBAL_CONFIGURATION_FILE`
`static final String`
`INCLUDE_PROPERTY`
`static final String`
`JNDI_PREFIX`
`static final String`
`PREFIX_SEPARATOR`
`static final String`
`PROPERTIES_EXTENSION`
`static final String`
`PROPERTIES_TABLE`
`static final String`
`RELOAD_DELAY_PROPERTY`
`static final char`
`SELECTOR_END`
`static final char`
`SELECTOR_START`
`static final char`
`SLASH`
`static final String`
`XML_EXTENSION`

## Field Details

### SELECTOR_START

static final char SELECTOR_START

See Also:
  - Constant Field Values

### SELECTOR_END

static final char SELECTOR_END

See Also:
  - Constant Field Values

### DOT

static final char DOT

See Also:
  - Constant Field Values

### SLASH

static final char SLASH

See Also:
  - Constant Field Values

### INCLUDE_PROPERTY

static final String INCLUDE_PROPERTY

See Also:
  - Constant Field Values

### GLOBAL_CONFIGURATION_FILE

static final String GLOBAL_CONFIGURATION_FILE

See Also:
  - Constant Field Values

### DIGESTERRULES_EXTENSION

static final String DIGESTERRULES_EXTENSION

See Also:
  - Constant Field Values

### XML_EXTENSION

static final String XML_EXTENSION

See Also:
  - Constant Field Values

### PROPERTIES_EXTENSION

static final String PROPERTIES_EXTENSION

See Also:
  - Constant Field Values

### DATASOURCE_PREFIX

static final String DATASOURCE_PREFIX

See Also:
  - Constant Field Values

### JNDI_PREFIX

static final String JNDI_PREFIX

See Also:
  - Constant Field Values

### RELOAD_DELAY_PROPERTY

static final String RELOAD_DELAY_PROPERTY

See Also:
  - Constant Field Values

### CONFIGURATION_OBJECTS_SOURCE_PROPERTY

static final String CONFIGURATION_OBJECTS_SOURCE_PROPERTY

See Also:
  - Constant Field Values

### CONFIGURATION_OBJECTS_TABLE

static final String CONFIGURATION_OBJECTS_TABLE

See Also:
  - Constant Field Values

### PROPERTIES_TABLE

static final String PROPERTIES_TABLE

See Also:
  - Constant Field Values

### COMPANY_ID_PROPERTY

static final String COMPANY_ID_PROPERTY

See Also:
  - Constant Field Values

### COMPONENT_NAME_PROPERTY

static final String COMPONENT_NAME_PROPERTY

See Also:
  - Constant Field Values

### PREFIX_SEPARATOR

static final String PREFIX_SEPARATOR

See Also:
  - Constant Field Values

### DEFAULT_CONF_OBJECT_NAME

static final String DEFAULT_CONF_OBJECT_NAME

See Also:
  - Constant Field Values